## org.apache.catalina.tribes
Interface ErrorHandler

    public interface ErrorHandler

The `ErrorHandler` class is used when sending messages that are sent asynchronously and the application still needs to get confirmation when the message was sent successfully or when a message errored out.

Version:
  1.0
Author:
  Filip Hanik

Method Summary
`void` `handleCompletion(UniqueId id)` Invoked when the message has been sent successfully.
`void` `handleError(ChannelException x, UniqueId id)` Invoked if the message is dispatched asynch, and an error occurs

Method Detail

### handleError

    void handleError(ChannelException x,
                     UniqueId id)

  Invoked if the message is dispatched asynch, and an error occurs

  Parameters:
    `x` - ChannelException - the error that happened
    `id` - - the unique id for the message
  See Also:
    `Channel.send(Member[], Serializable, int, ErrorHandler)`

### handleCompletion

    void handleCompletion(UniqueId id)

  Invoked when the message has been sent successfully.

  Parameters:
    `id` - - the unique id for the message
  See Also:
    `Channel.send(Member[], Serializable, int, ErrorHandler)`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.